import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IIsCategoryBased } from "./IIsCategoryBased";
import { IBarSeries } from "./IBarSeries";
import { CategoryMode } from "./CategoryMode";
import { ICategoryScaler } from "./ICategoryScaler";
import { IScaler } from "./IScaler";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Point, Type } from "igniteui-react-core/ES5/type";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IIsCategoryBased, IBarSeries {
    static $t: Type;
    protected bf(): SeriesView;
    protected m9(): CategoryTransitionInMode;
    getHostReferenceValue(): number;
    im(a: SeriesView): void;
    p2: BarSeriesView;
    protected get_no(): boolean;
    ln(a: Point): Rect;
    dg(a: Point, b: boolean): boolean;
    constructor();
    m5(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    p3: number;
    p4: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    n2(): number;
    o0(a: CategorySeriesView): number;
    an(a: Axis): AxisRange;
    c8(a: any): boolean;
    ed(): number;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected is(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    readonly currentCategoryMode: CategoryMode;
    readonly scaler: ICategoryScaler;
    readonly yScaler: IScaler;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    c6: BarSeries;
    constructor(a: BarSeries);
    c7: Pool$1<Rectangle>;
    ap(): void;
    de(): Rectangle;
    c8: List$1<Rectangle>;
    c9(a: Rectangle): void;
    db(a: Rectangle): void;
    da(a: Rectangle): void;
    dc(a: Rectangle, b: number, c: number): void;
    co(): CategoryBucketCalculator;
    protected bc(a: any, b: number): void;
    protected z(a: number): any;
    private dd;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
}
